<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:id="@+id/cl"
    xmlns:app="http://schemas.android.com/apk/res-auto">


    <TextView
        android:textColor="#000"
        android:textSize="16dp"
        android:text="@string/message"
        android:gravity="center"
        android:background="@drawable/shape_white_top_20"
        app:layout_constraintBottom_toTopOf="@+id/conversation"
        android:layout_width="match_parent"
        android:layout_height="40dp"/>

    <com.tencent.qcloud.tim.uikit.modules.conversation.ConversationLayout
        android:id="@+id/conversation"
        android:background="#fff"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="match_parent"
        android:layout_height="300dp" />


</androidx.constraintlayout.widget.ConstraintLayout>